<!doctype html>
<html>
<head>
    <title>Picturing Tor censorship in China | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Picturing Tor censorship in China | Tor Project">
    <meta property="og:description" content="As reported, Tor was partially blocked by China on September 25th or so in anticipation of the...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/picturing-tor-censorship-china/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Picturing Tor censorship in China
      </h1>
    <p class="meta">by phobos | October 14, 2009</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>As <a href="https://blog.torproject.org/blog/tor-partially-blocked-china" rel="nofollow">reported</a>, Tor was partially blocked by China on September 25th or so in anticipation of the CCP October 1, 2009 60th anniversary.  </p>

<p>Here's what one directory mirror recorded for September, </p>

<p><img src="https://blog.torproject.org/static/images/blog/inline-images/2009-10-12-china-dirreq-trusted.png" /></p>

<p>And here's the growth of <a href="https://www.torproject.org/bridges" rel="nofollow">bridge</a> users in response.  Alas, like our graphs of <a href="https://blog.torproject.org/blog/measuring-tor-and-iran-part-two" rel="nofollow">bridge use in Iran in June 2009</a>, we only have relative counts for bridge use, not absolute counts. But with a 70x increase in a week, we are talking about 10000+ bridge users:</p>

<p><img src="https://blog.torproject.org/static/images/blog/inline-images/2009-10-12-china-bridge-usage.png" /></p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li><li>
        <a href="../category/global-south">
          global south
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-2821"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2821" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><a rel="nofollow" href="http://www.chenshaoju.com">陈少举 (not verified)</a> said:</p>
      <p class="date-time">October 13, 2009</p>
    </div>
    <a href="#comment-2821">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2821" class="permalink" rel="bookmark">Twitter观光团～</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Twitter观光团前来围观～我是 @chenshaoju ～</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2822"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2822" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 13, 2009</p>
    </div>
    <a href="#comment-2822">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2822" class="permalink" rel="bookmark">in PRC , using bridge ,over</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>in PRC , using bridge ,over the GFW !</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2823"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2823" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 13, 2009</p>
    </div>
    <a href="#comment-2823">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2823" class="permalink" rel="bookmark">Ma de in China!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Ma de in China!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2825"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2825" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><a rel="nofollow" href="http://www.dongde.com">QiFei (not verified)</a> said:</p>
      <p class="date-time">October 14, 2009</p>
    </div>
    <a href="#comment-2825">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2825" class="permalink" rel="bookmark">Looking for a bridge</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>居然可以訪問</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2828"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2828" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2825" class="permalink" rel="bookmark">Looking for a bridge</a> by <a rel="nofollow" href="http://www.dongde.com">QiFei (not verified)</a></p>
    <a href="#comment-2828">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2828" class="permalink" rel="bookmark">居居然然可可以以訪</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>居居然然可可以以訪訪問問</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-2826"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2826" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>From CN Twitter (not verified)</span> said:</p>
      <p class="date-time">October 14, 2009</p>
    </div>
    <a href="#comment-2826">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2826" class="permalink" rel="bookmark">fuck GFW!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>fuck GFW!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2829"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2829" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2009</p>
    </div>
    <a href="#comment-2829">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2829" class="permalink" rel="bookmark">It&#039;s Mad[e] in China !!!!</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's Mad[e] in China !!!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2830"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2830" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2009</p>
    </div>
    <a href="#comment-2830">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2830" class="permalink" rel="bookmark">Hi
I&#039;m in Beijing, and was</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi</p>
<p>I'm in Beijing, and was using hotspot shield until it got blocked for the 60th Anniversary.</p>
<p>Now I'm trying TOR, but i'm having problems.</p>
<p>I managed to get connected to the TOR network using Vidalia and bridges (The TOR onion is green).</p>
<p>I also downloaded torbutton for FireFox, and enabled the torbutton, which added some proxy settings - 127.0.0.1:8118 for HTTP proxy, and 127.0.0.1:9050 for Socks.</p>
<p>However, i'm still unable to browse the the restricted websites. In fact, i'm not able to browse anything after enabling torbutton.</p>
<p>Can anyone please help me?</p>
<p>Thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2851"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2851" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 15, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2830" class="permalink" rel="bookmark">Hi
I&#039;m in Beijing, and was</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-2851">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2851" class="permalink" rel="bookmark">I think you are missing</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I think you are missing Privoxy ;)</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-2831"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2831" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Danielle Spieletipps (not verified)</span> said:</p>
      <p class="date-time">October 14, 2009</p>
    </div>
    <a href="#comment-2831">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2831" class="permalink" rel="bookmark">Why??</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I can't understand why China has blocked Tor...or maybe I understand. I was also unable to use TOR when I was in Beijing last month and have no idea how to solve the problem.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2832"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2832" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>rthr (not verified)</span> said:</p>
      <p class="date-time">October 14, 2009</p>
    </div>
    <a href="#comment-2832">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2832" class="permalink" rel="bookmark">Visit this page directly from China</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What a shame!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2833"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2833" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>rthr (not verified)</span> said:</p>
      <p class="date-time">October 14, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2832" class="permalink" rel="bookmark">Visit this page directly from China</a> by <span>rthr (not verified)</span></p>
    <a href="#comment-2833">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2833" class="permalink" rel="bookmark">tor bridge</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I've requested bridges last few weeks but it didn't work, finally I got useful bridges from Zuola. How does it happen?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-2837"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2837" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2009</p>
    </div>
    <a href="#comment-2837">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2837" class="permalink" rel="bookmark">Twitter观光团前来围观</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Twitter观光团前来围观</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2847"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2847" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Joe Baptista (not verified)</span> said:</p>
      <p class="date-time">October 15, 2009</p>
    </div>
    <a href="#comment-2847">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2847" class="permalink" rel="bookmark">What a foolish think for the Chinese Government to do</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I feel blocking Tor was a mistake. I've never used Tor but understand how it operates and have it installed on my Ubuntu Linux console. It is an effective way of bypassing government surveillance.</p>
<p>Carry on Tor Project, carry on.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2855"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2855" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>匿名 (not verified)</span> said:</p>
      <p class="date-time">October 16, 2009</p>
    </div>
    <a href="#comment-2855">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2855" class="permalink" rel="bookmark">强贴留名</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>强贴留名</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2856"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2856" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 16, 2009</p>
    </div>
    <a href="#comment-2856">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2856" class="permalink" rel="bookmark">今天刚用上TOR，效果</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>今天刚用上TOR，效果不错,呵呵。我过去用hotspot shield,可惜它挂了。</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2858"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2858" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 17, 2009</p>
    </div>
    <a href="#comment-2858">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2858" class="permalink" rel="bookmark">原先一直以为tor是封</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>原先一直以为tor是封不住的,但在国庆前夕,tor倒下了.</p>
<p>但后来经过别人介绍,知道如何通过bridges来进入tor网络, 这时又发现tor真的是封不住的.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2859"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2859" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 17, 2009</p>
    </div>
    <a href="#comment-2859">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2859" class="permalink" rel="bookmark">今天发现opera</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>今天发现opera mini的官方网站也被封了,真是不可思议.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2865"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2865" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 17, 2009</p>
    </div>
    <a href="#comment-2865">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2865" class="permalink" rel="bookmark">Who send me a copy of bridges?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I don't find the bridges application except  the site as <a href="https://bridges.torproject.org/" rel="nofollow">https://bridges.torproject.org/</a>. That site I can't access.  who can give me one copy? pls send my email address <a href="mailto:lukeay@yahoo.com" rel="nofollow">lukeay@yahoo.com</a>.</p>
<p>thank you in advance!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2869"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2869" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>gogo (not verified)</span> said:</p>
      <p class="date-time">October 18, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2865" class="permalink" rel="bookmark">Who send me a copy of bridges?</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-2869">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2869" class="permalink" rel="bookmark">不用 bridges 也能够 tor runing</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>现在不用 bridges 也能够 tor runing ，我都好多天没用bridges 了</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-2879"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2879" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 20, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2869" class="permalink" rel="bookmark">不用 bridges 也能够 tor runing</a> by <span>gogo (not verified)</span></p>
    <a href="#comment-2879">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2879" class="permalink" rel="bookmark">I still can&#039;t connect to a</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I still can't connect to a relay directory in Bejing.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-3118"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3118" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 13, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-2865" class="permalink" rel="bookmark">Who send me a copy of bridges?</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-3118">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3118" class="permalink" rel="bookmark">send email containing</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>send email containing BRIDGES as content by GMAIL to <a href="mailto:bridges@torproject.org" rel="nofollow">bridges@torproject.org</a>. You'll get three bridges each time. And you can send multiple times to request more. Good luck.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-2880"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2880" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 20, 2009</p>
    </div>
    <a href="#comment-2880">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2880" class="permalink" rel="bookmark">OT: Surveillance also in EU</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="http://en.wikinews.org/wiki/Listening_to_you_at_last:_EU_plans_to_tap_cell_phones" rel="nofollow">http://en.wikinews.org/wiki/Listening_to_you_at_last:_EU_plans_to_tap_c…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-2951"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-2951" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2009</p>
    </div>
    <a href="#comment-2951">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-2951" class="permalink" rel="bookmark">Run a Bridge Server in China</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi there, </p>
<p>I'd like to run a Bridge server in China, to make the communication more stable. Sadly, Vidalia disagrees and tells me I cannot run a bridge, when I have no "free access" to the internet (and I guess here is meant, that I do already communicate via bridges).<br />
Is there anything I can do? How to help?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3046"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3046" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 08, 2009</p>
    </div>
    <a href="#comment-3046">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3046" class="permalink" rel="bookmark">Hi,
I noticed the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi,</p>
<p>I noticed the tor-blocking as well. Now I have a general question about tor's safetyness:</p>
<p>When it is not a secret, which servers are tor-servers (even many bridges didn't work and were known by the government), then every Tor-entry-point can distinguish between usual-IP and tor-IP - right?</p>
<p>Isn't it the easiest way, just running a TOR-Server to get IP-addresses from tor-users? Also, as long as the websites don't support https, the can see the visited websites.</p>
<p>Am I right? Am I wrong? How can developers fix this problem?<br />
Would be glad for expert-answers.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3056"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3056" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 09, 2009</p>
    </div>
    <a href="#comment-3056">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3056" class="permalink" rel="bookmark">how safe is tor?</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>No answers?<br />
Who knows something about enry-point-safetyness?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3169"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3169" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">November 15, 2009</p>
    </div>
    <a href="#comment-3169">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3169" class="permalink" rel="bookmark">Chinese appreciate Tor,rather than Obama&#039;s China tour  </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>When coloured people can become the president of US, do you think that US is the salt of the world democratic society? Well,let's see.We Chinese people do not expect Obama has an all-seeing eye,but as the president of US,Obama shoud see China has too many "coloured" things to cover truth. If Obama won't mention Tibet in last saturday Asia speech( he didnt'mention), he should, at least,don't swallwo all the "coloured cookies" (fallacy upon fallacy to cover any thing real),which is prepared for him for his China tour. </p>
<p>  Meanwhile,we Chinese appreciate Tor,rather than Obama's China tour.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3480"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3480" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>joel (not verified)</span> said:</p>
      <p class="date-time">December 10, 2009</p>
    </div>
    <a href="#comment-3480">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3480" class="permalink" rel="bookmark">To address a backlog of China questions</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If you are running Vidalia on Mac you cannot build bridges; at least that is what the documentation tells me.</p>
<p>All torproject download pages are blocked.<br />
Privoxy has been blocked since early summer.<br />
Popilo? Who knows... can't download update to use it. ;o)</p>
<p>Good luck. ;o)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-3498"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3498" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">December 11, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3480" class="permalink" rel="bookmark">To address a backlog of China questions</a> by <span>joel (not verified)</span></p>
    <a href="#comment-3498">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3498" class="permalink" rel="bookmark">re</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>what documentation tells you this?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-3675"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3675" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 21, 2009</p>
    </div>
    <a href="#comment-3675">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3675" class="permalink" rel="bookmark">I am in China now. The</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am in China now. The bridges not working very good these days. I can only connect to tor network using the cache in local. I wonder if the bridges would be blocked some day.<br />
Is there anybody can tell me? Thanks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3708"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3708" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 24, 2009</p>
    </div>
    <a href="#comment-3708">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3708" class="permalink" rel="bookmark">I need a bridge to link tor</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I need a bridge to link tor network!<br />
lol<br />
Who can help me.<br />
Send to <a href="mailto:wind_alucard@qq.com" rel="nofollow">wind_alucard@qq.com</a> please.<br />
Thank you so much.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3946"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3946" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 11, 2010</p>
    </div>
    <a href="#comment-3946">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3946" class="permalink" rel="bookmark">确实是个shame。</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>确实是个shame。</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-3947"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3947" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 12, 2010</p>
    </div>
    <a href="#comment-3947">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3947" class="permalink" rel="bookmark">I must say thanks to the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I must say thanks to the tor-project. The tor give me who a Chinese a window for the freedom in internet.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-4740"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4740" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">March 23, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-3947" class="permalink" rel="bookmark">I must say thanks to the</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-4740">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4740" class="permalink" rel="bookmark">fucking crazy GFW!!!! See my</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>fucking crazy GFW!!!! See my middle finger!!!!</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-5647"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5647" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 12, 2010</p>
    </div>
    <a href="#comment-5647">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5647" class="permalink" rel="bookmark">It looks like almost all</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It looks like almost all bridges have been blocked these days.God damn it!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-5670"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-5670" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">May 14, 2010</p>
    </div>
    <a href="#comment-5670">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-5670" class="permalink" rel="bookmark">居然可以打中文
第一</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>居然可以打中文<br />
第一次用  不知道会不会成功</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6206"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6206" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 20, 2010</p>
    </div>
    <a href="#comment-6206">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6206" class="permalink" rel="bookmark">Any possible way to keep</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Any possible way to keep cached-consensus after a hiatus?<br />
My Tor will flush cached-consensus after a while, forcing me to fetch a new bridge, which could be hard since Google Mail could be banned any time.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-6221"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6221" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">June 21, 2010</p>
    </div>
    <a href="#comment-6221">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6221" class="permalink" rel="bookmark">I&#039;ve sent several get</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I've sent several get bridges requests and checked the website for bridges via another html based proxy. I always get the same stuff, it's really hard to connect to facebook. ;(</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-6225"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-6225" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">June 22, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-6221" class="permalink" rel="bookmark">I&#039;ve sent several get</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-6225">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-6225" class="permalink" rel="bookmark">This consistency is by</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This consistency is by design to make it more difficult to enumerate all of the bridges available via that method (smtp or https).</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
